Name:          python-josepy
Version:       1.13.0
Release:       3mamba
Summary:       JOSE protocol implementation in Python using cryptography
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/josepy/
Source:        https://pypi.debian.net/josepy/josepy-%{version}.tar.gz
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(cryptography)
BuildRequires: python3.11dist(pyopenssl)
BuildRequires: python3.11dist(setuptools)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n josepy-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%if "%{?pyappend}" != "py3"
rm -f %{buildroot}%{_bindir}/jws
sed -i "/\/usr\/bin\/jws/d" %{name}.filelist
%endif

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/josepy-%{version}-py*.egg-info
%{python_sitearch}/josepy-%{version}-py*.egg-info/*

%changelog
* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 1.13.0-3mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Tue Jul 18 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.13.0-2mamba
- rebuilt with python 3.10

* Fri Mar 11 2022 Automatic Build System <autodist@mambasoft.it> 1.13.0-1mamba
- automatic version update by autodist

* Thu Jan 13 2022 Automatic Build System <autodist@mambasoft.it> 1.12.0-1mamba
- automatic version update by autodist

* Thu Nov 18 2021 Automatic Build System <autodist@mambasoft.it> 1.11.0-1mamba
- automatic version update by autodist

* Tue Sep 28 2021 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Fri Sep 10 2021 Automatic Build System <autodist@mambasoft.it> 1.9.0-1mamba
- automatic version update by autodist

* Fri Apr 09 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.0-2mamba
- rebuilt with distdeps

* Wed Mar 17 2021 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Sat Jan 30 2021 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Wed Nov 04 2020 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic version update by autodist

* Tue Aug 18 2020 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Sat Apr 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0-3mamba
- require pyOpenSSL[-py3*]

* Sat Apr 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0-2mamba
- rebuilt with py3* packages

* Sun Feb 02 2020 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Fri Jul 12 2019 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Sat May 19 2018 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Mon Apr 09 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-1mamba
- package created using the webbuild interface
